Bug 17542 - Sometimes, Linux RESET a TCP connexion with no reason.
Sometimes, Linux RESET a TCP connexion with no reason.
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: David Miller
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-09-15 13:20 EDT by Christophe Leroy
Modified: 2007-04-18 12:28 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-06 02:11:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Christophe Leroy 2000-09-15 13:20:19 EDT
When connecting to a WinNT workstation, it happens that Linux Box
resets the connection when it receives the ACKSYN from the WinNT box, 
with no reason.
Here are dumped frames:

18:22:48.095158 dcs1.1516 > dac1.15420: S 2966351927:2966351927(0) win
32120 <mss 1460,sackOK,timestamp 495297 0,nop,wscale 0> (DF) (ttl 64, id
3975)
    4500 003c 0f87 4000 4006 a8bb c100 000b
    c100 006e 05ec 3c3c b0ce f037 0000 0000
    a002 7d78 d61d 0000 0204 05b4 0402 080a
    0007 8ec1 0000 0000 0103 0300
18:22:48.095158 dac1.15420 > dcs1.1516: S 64116:64116(0) ack 2966351928
win 8760 <mss 1460> (DF) (ttl 128, id 46389)
    4500 002c b535 4000 8006 c31c c100 006e
    c100 000b 3c3c 05ec 0000 fa74 b0ce f038
    6012 2238 15c0 0000 0204 05b4 b4b4
18:22:48.095158 dcs1.1516 > dac1.15420: R 2966351928:2966351928(0) win 0
(ttl 255, id 3987)
    4500 0028 0f93 0000 ff06 29c3 c100 000b
    c100 006e 05ec 3c3c b0ce f038 0000 0000
    5004 0000 4a37 0000 0000 0000 0000
Comment 1 Alan Cox 2000-09-16 17:12:14 EDT
Is this with the original or errata kernel ?
Comment 2 Christophe Leroy 2000-09-18 02:55:54 EDT
It's with the errata kernel 2.2.16-3
Comment 3 David Miller 2004-03-06 02:11:27 EST
Way past EOL product, therefore unlikely to ever be fixed.

Note You need to log in before you can comment on or make changes to this bug.